org.apache.ignite.cache.store.jdbc

## Class JdbcTypeField

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.JdbcTypeField

- All Implemented Interfaces:
    Serializable

      public class JdbcTypeField
      extends Object
      implements Serializable

  Description of how field declared in database and in cache.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcTypeField()` Default constructor.
    `JdbcTypeField(int dbFldType, String dbFldName, Class<?> javaFldType, String javaFldName)` Full constructor.
    `JdbcTypeField(JdbcTypeField field)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDatabaseFieldName()`
    `int` | `getDatabaseFieldType()`
    `String` | `getJavaFieldName()`
    `Class<?>` | `getJavaFieldType()`
    `int` | `hashCode()`
    `JdbcTypeField` | `setDatabaseFieldName(String dbFldName)`
    `JdbcTypeField` | `setDatabaseFieldType(int dbFldType)`
    `JdbcTypeField` | `setJavaFieldName(String javaFldName)`
    `JdbcTypeField` | `setJavaFieldType(Class<?> javaFldType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcTypeField

          public JdbcTypeField()

      Default constructor.

    - #### JdbcTypeField

          public JdbcTypeField(int dbFldType,
                               String dbFldName,
                               Class<?> javaFldType,
                               String javaFldName)

      Full constructor.
      Parameters:
        `dbFldType` - Field JDBC type in database.
        `dbFldName` - Field name in database.
        `javaFldType` - Field java type.
        `javaFldName` - Field name in java object.

    - #### JdbcTypeField

          public JdbcTypeField(JdbcTypeField field)

      Copy constructor.
      Parameters:
        `field` - Field to copy.

  - ### Method Detail

    - #### getDatabaseFieldType

          public int getDatabaseFieldType()

      Returns:
        Column JDBC type in database.

    - #### setDatabaseFieldType

          public JdbcTypeField setDatabaseFieldType(int dbFldType)

      Parameters:
        `dbFldType` - Column JDBC type in database.
      Returns:
        `this` for chaining.

    - #### getDatabaseFieldName

          public String getDatabaseFieldName()

      Returns:
        Column name in database.

    - #### setDatabaseFieldName

          public JdbcTypeField setDatabaseFieldName(String dbFldName)

      Parameters:
        `dbFldName` - Column name in database.
      Returns:
        `this` for chaining.

    - #### getJavaFieldType

          public Class<?> getJavaFieldType()

      Returns:
        Field java type.

    - #### setJavaFieldType

          public JdbcTypeField setJavaFieldType(Class<?> javaFldType)

      Parameters:
        `javaFldType` - Corresponding java type.
      Returns:
        `this` for chaining.

    - #### getJavaFieldName

          public String getJavaFieldName()

      Returns:
        Field name in java object.

    - #### setJavaFieldName

          public JdbcTypeField setJavaFieldName(String javaFldName)

      Parameters:
        `javaFldName` - Field name in java object.
      Returns:
        `this` for chaining.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023